%define name	kshutdown
%define version	2.0
%define betaver beta5
%define release	%mkrel -c %betaver 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Advanced shut down utility for KDE
Summary(fr):    KShutDown est un outils avanc de gestion de l'extinction  
License:        GPLv2+
Group:		Graphical desktop/KDE
Source:	        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-source-%{version}%{betaver}.zip
Patch0:		kshutdown-2.0-drop-actions.patch
Requires:	kdebase4-workspace
BuildRequires:  kdebase4-workspace-devel
BuildRequires:  desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
KShutDown is an advanced shut down utility for KDE.
Features:
- Shut Down (logout and halt the system)
- Reboot (logout and reboot the system)
- Lock Screen (lock the screen using a screen saver)
- Logout (end the session and logout the user)
- Extras (user commands)
- Wizard
- Time and delay options
- Command line support
- System tray
- Sounds
- Kiosk support
- And more...

%prep
%setup -q -n %name-%version%betaver

%build
%cmake_kde4
%make

%install
rm -rf $RPM_BUILD_ROOT
cd build
%makeinstall_std
cd -

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="System" \
  --add-category="Monitor" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*

%find_lang %name --with-html

%clean
rm -rf %{buildroot}

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%files -f %name.lang
%defattr(-,root,root)
%doc TODO ChangeLog README.html
%attr(0755,root,root) %{_kde_bindir}/%{name}
%_kde_iconsdir/*/*/*/*
%_kde_datadir/applications/kde4/kshutdown.desktop
%_kde_datadir/apps/%{name}


%changelog
* Thu Apr 02 2009 Funda Wang <fundawang@mandriva.org> 2.0-0.beta5.1mdv2009.1
+ Revision: 363450
- New version beta5

* Sat Jan 17 2009 Funda Wang <fundawang@mandriva.org> 2.0-0.beta4.1mdv2009.1
+ Revision: 330526
- 2.0 beta4

* Tue Dec 02 2008 Funda Wang <fundawang@mandriva.org> 2.0-0.beta3.1mdv2009.1
+ Revision: 308956
- new version 2.0 beta3

* Sun Oct 12 2008 Funda Wang <fundawang@mandriva.org> 2.0-0.beta2.1mdv2009.1
+ Revision: 292896
- New version 2.0 beta2

* Thu Jun 26 2008 Funda Wang <fundawang@mandriva.org> 2.0-0.beta1.1mdv2009.0
+ Revision: 229257
- Switch to 2.0 beta1 svn (kde4 version)

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-2mdv2008.1
+ Revision: 170933
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 26 2007 Funda Wang <fundawang@mandriva.org> 1.0.2-1mdv2008.1
+ Revision: 112132
- New version 1.0.2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix menu
    - New version 1.0


* Wed Jun 21 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-21 22:44:15 (37802)
- Increase release
- Clean menu
- Use macros (for icons)

* Wed Jun 21 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-21 22:31:38 (37800)
- import kshutdown-0.8.2-1mdk

* Wed Feb 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.2-1mdk
- New release 0.8.2

* Mon Nov 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-1mdk
- 0.8.0
	- NEW: Swedish translation (thanks to Daniel Nylander)
	- Minor bugfixes
	- Removed the Authors tab from the About dialog
	- Setup: Fast compilation is now enabled by default (--enable-final)
	- Updated documentation
	- Setup: "kdesu" instead of "su"
- Remove patch 0 : Merged upstream

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.1beta.1mdk
- 0.7.0 Beta 1
- Patch 0 : Fix include

* Tue Jul 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-3mdk
- Fix File Section

* Mon Apr 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-2mdk
- Fix build for amd64

* Sat Mar 05 2005 Sebastien Savarin <plouf@mandrake.org> 0.6.0-1mdk
- 0.6.0

* Sat Feb 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-0.beta.1mdk
- From Sebastien Savarin <plouf@zarb.org>                            
                 - first release

